<!--
Sitemap:
- [Stridge](/index): Stridge is a crypto payment infrastructure platform — multi-chain wallets, automated deposit detection, secure payouts, and the Stridge Gateway Kit for any-to-any payments.
- [API Reference](/api-reference/): Stridge REST API reference — complete endpoint documentation for wallets, deposits, transfers, vaults, gas stations, networks, and transactions.
- [Changelog](/changelog): Release notes for Stridge SDKs and developer tools.
- [Example Page](/example): Example page demonstrating MDX features available in Stridge docs.
- [Stridge Gateway Kit](/gateway/): Stridge Gateway Kit — an integration kit for embedding any-to-any crypto payments in DeFi protocols and apps.
- [Getting Started](/getting-started): Get started with Stridge — create an API key, authenticate against the REST API, and make your first call.
- [Supported Networks](/networks): Blockchain networks and tokens supported by the Stridge payment infrastructure — network_id (SLIP-44), EIP-155 chain IDs, and the available native and stablecoin assets per chain.
- [Developer Tools](/sdk/): Headless Stridge SDKs for Node.js, Go, and React — wrap the Stridge REST API with fully-typed clients and ready-made flows.
- [Security](/security/): Stridge Security — how the Stridge KMS protects wallet keys and signs transactions without ever exposing private keys.
- [Universal Deposit Addresses](/uda/): Universal Deposit Addresses (UDA) — persistent, multi-chain deposit addresses with automatic cross-chain settlement to a fixed destination.
- [Webhooks](/webhooks/): Stridge webhooks — real-time HTTP notifications for deposits, wallet assignments, transactions, and balance changes with signed HMAC SHA-256 deliveries.
- [Go SDK](/sdk/go): Build on Stridge from Go with the official Stridge Go SDK.
- [Node.js SDK](/sdk/node): Build on Stridge from any Node.js runtime with the official Node SDK.
- [React SDK](/sdk/react): Embed Stridge payment flows in your React app with hooks and ready-made components.
- [Get a single deposit transaction by ID](/api-reference/deposits/get-a-single-deposit-transaction-by-id): Get details of a specific deposit transaction by its unique ID
- [Get a single deposit transaction by transaction id](/api-reference/deposits/get-a-single-deposit-transaction-by-transaction-id): Get details of a specific deposit transaction by on-chain transaction id (tx_id)
- [List deposit transactions](/api-reference/deposits/list-deposit-transactions): Get a paginated list of deposit transactions for the authenticated tenant with filtering support
- [Get gas station details by address](/api-reference/gas-stations/get-gas-station-details-by-address): Get detailed gas station information including all asset balances for a specific address
- [Get gas station details by wallet ID](/api-reference/gas-stations/get-gas-station-details-by-wallet-id): Get detailed gas station information including all asset balances for a specific wallet ID
- [List gas station wallets](/api-reference/gas-stations/list-gas-station-wallets): Get a paginated list of gas station wallets with filtering and sorting support
- [Get blockchain assets](/api-reference/networks/get-blockchain-assets): Get a list of all supported blockchain assets (tokens and native assets).
- [Get blockchain networks](/api-reference/networks/get-blockchain-networks): Get a list of all supported blockchain networks.
- [Get network list](/api-reference/networks/get-network-list): Get a public list of all networks with category grouping.
- [Get tenant network](/api-reference/networks/get-tenant-network): Get a specific network for the authenticated tenant by network ID and contract address
- [Get tenant networks](/api-reference/networks/get-tenant-networks): Get a list of networks available to the authenticated tenant with their enabled status
- [Update tenant network status](/api-reference/networks/update-tenant-network-status): Update the enabled status of a network for the authenticated tenant
- [Get a transaction by ID](/api-reference/transactions/get-a-transaction-by-id): Get details of a specific transaction by its ID
- [List unified transactions](/api-reference/transactions/list-unified-transactions): Get a paginated list of all transactions (deposits, payouts, refills, etc.) for the authenticated tenant
- [External transfer by address](/api-reference/transfers/external-transfer-by-address): Transfer assets from user wallet to an external address using wallet address.
- [External transfer by wallet ID](/api-reference/transfers/external-transfer-by-wallet-id): Transfer assets from user wallet to an external address using wallet ID.
- [Internal transfer between wallets by address](/api-reference/transfers/internal-transfer-between-wallets-by-address): Transfer assets from user wallet to hot wallet or gas station using addresses.
- [Internal transfer between wallets by ID](/api-reference/transfers/internal-transfer-between-wallets-by-id): Transfer assets from user wallet to hot wallet or gas station using wallet IDs.
- [Create payout](/api-reference/vault-transfers/create-payout): Creates a new payout from the tenant's vault wallet to an external address
- [Create payout with USD amount](/api-reference/vault-transfers/create-payout-with-usd-amount): Creates a new payout converting a USD amount to crypto at current rate
- [Get payout by ID](/api-reference/vault-transfers/get-payout-by-id): Retrieves a payout by its ID
- [List payouts](/api-reference/vault-transfers/list-payouts): Lists payouts for a vault with filtering and pagination
- [Transfer from vault to external address](/api-reference/vault-transfers/transfer-from-vault-to-external-address): Transfer assets from the tenant's vault wallet to an external address.
- [Get vault address by network](/api-reference/vaults/get-vault-address-by-network): Get the vault address for a specific network
- [Get vault balances](/api-reference/vaults/get-vault-balances): Get balances for all vault addresses with optional filtering
- [Get vault total value](/api-reference/vaults/get-vault-total-value): Get the total USD value across all vault assets
- [List vault addresses](/api-reference/vaults/list-vault-addresses): Get all vault addresses for the authenticated tenant
- [List vaults](/api-reference/vaults/list-vaults): List all vault accounts for the authenticated tenant
- [Create/assign a new wallet](/api-reference/wallets/create-assign-a-new-wallet): Assign a blockchain wallet to a user with the specified network and owner ID.
- [Get wallet details by address](/api-reference/wallets/get-wallet-details-by-address): Get detailed wallet information including all asset balances for a specific address
- [Get wallet details by ID](/api-reference/wallets/get-wallet-details-by-id): Get detailed wallet information including all asset balances for a specific wallet ID
- [Get wallets by owner](/api-reference/wallets/get-wallets-by-owner): Get all wallets assigned to a specific owner with optional filtering
- [List assigned wallets](/api-reference/wallets/list-assigned-wallets): Get a paginated list of assigned wallets for the authenticated tenant with filtering and sorting support
-->

<DocsGrid>
  <DocsMain>
    <EndpointTag>Wallet</EndpointTag>

    # Get wallet details by ID

    Get detailed wallet information including all asset balances for a specific wallet ID

    <EndpointHeader method="GET" path="/v1/wallets/{wallet_id}" baseUrl="https://api.stridge.com" />

    ## Authorizations

    <ParamField name="X-API-Key" type="string" location="header" required>
      Your Stridge API key. Include it in every request header.
    </ParamField>

    ## Path parameters

    <ParamField name="wallet_id" type="string" required location="path">
      Wallet ID (UUID)
    </ParamField>

    ## Response

    <ResponseField name="success" type="boolean" example={true}>
      Indicates whether the request succeeded.
    </ResponseField>

    <ResponseField name="message" type="string" example="operation completed successfully">
      Human-readable status message.
    </ResponseField>

    <ResponseField name="data" type="object">
      The response payload.
    </ResponseField>

    <Expandable title="data fields" defaultOpen>
      <ResponseField name="address" type="string" example="0x742d35Cc6634C0532925a3b844Bc9e7595f2bD58">
        The address.
      </ResponseField>

      <ResponseField name="balances" type="object[]">
        The balances.
      </ResponseField>

      <ResponseField name="owner" type="string" example="tenant-123">
        The owner.
      </ResponseField>
    </Expandable>
  </DocsMain>

  <DocsAside>
    ### Request

    <LangTabs>
      <Sample lang="curl">
        ```bash
        curl -X GET 'https://api.stridge.com/v1/wallets/{wallet_id}' \
          -H 'X-API-Key: your_api_key_here'
        ```
      </Sample>

      <Sample lang="node">
        ```ts
        const res = await fetch('https://api.stridge.com/v1/wallets/{wallet_id}', {
          method: 'GET',
          headers: {
            'X-API-Key': process.env.STRIDGE_API_KEY!,
          },
        })

        const data = await res.json()
        ```
      </Sample>

      <Sample lang="python">
        ```python
        import requests

        response = requests.get(
            'https://api.stridge.com/v1/wallets/{wallet_id}',
            headers={'X-API-Key': 'your_api_key_here'},
        )
        data = response.json()
        ```
      </Sample>
    </LangTabs>

    ### Response

    <ResponseTabs>
      <Response status={200}>
        ```json
        {
          "data": {
            "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD58",
            "balances": [
              {
                "asset": "Ethereum",
                "balance": {
                  "amount": "1.5",
                  "raw": "1000000000000000000",
                  "usd": "3500.00"
                },
                "decimal": 18,
                "network_id": "60",
                "network_symbol": "ETH",
                "symbol": "ETH"
              }
            ],
            "owner": "tenant-123"
          },
          "message": "operation completed successfully",
          "success": true
        }
        ```
      </Response>

      <Response status={404}>
        ```json
        {
          "success": false,
          "code": 404,
          "error": "Wallet not found"
        }
        ```
      </Response>

      <Response status={500}>
        ```json
        {
          "success": false,
          "code": 500,
          "error": "Internal server error"
        }
        ```
      </Response>
    </ResponseTabs>
  </DocsAside>
</DocsGrid>
